package com.foreverwin.mesnac.common.model;

import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Max
 * @since 2021-07-09
 */
public class CustomReportMainmodel {

   private static final long serialVersionUID = 1L;
   private String handle;

   private String site;

   private String reportId;

   private String reportTitle;

   private String reportDesc;

   private String conditionSqlConfig;

   private String displayType;

   private Integer timeRefresh;

   private String backgroundColor;

   private String fontColor;

   private Integer pageSize;

   private LocalDateTime modifyDateTime;

   private String modifyUser;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getReportId() {
      return reportId;
   }

   public void setReportId(String reportId) {
      this.reportId = reportId;
   }

   public String getReportTitle() {
      return reportTitle;
   }

   public void setReportTitle(String reportTitle) {
      this.reportTitle = reportTitle;
   }

   public String getReportDesc() {
      return reportDesc;
   }

   public void setReportDesc(String reportDesc) {
      this.reportDesc = reportDesc;
   }

   public String getConditionSqlConfig() {
      return conditionSqlConfig;
   }

   public void setConditionSqlConfig(String conditionSqlConfig) {
      this.conditionSqlConfig = conditionSqlConfig;
   }

   public String getDisplayType() {
      return displayType;
   }

   public void setDisplayType(String displayType) {
      this.displayType = displayType;
   }

   public Integer getTimeRefresh() {
      return timeRefresh;
   }

   public void setTimeRefresh(Integer timeRefresh) {
      this.timeRefresh = timeRefresh;
   }

   public String getBackgroundColor() {
      return backgroundColor;
   }

   public void setBackgroundColor(String backgroundColor) {
      this.backgroundColor = backgroundColor;
   }

   public String getFontColor() {
      return fontColor;
   }

   public void setFontColor(String fontColor) {
      this.fontColor = fontColor;
   }

   public Integer getPageSize() {
      return pageSize;
   }

   public void setPageSize(Integer pageSize) {
      this.pageSize = pageSize;
   }

   public LocalDateTime getModifyDateTime() {
      return modifyDateTime;
   }

   public void setModifyDateTime(LocalDateTime modifyDateTime) {
      this.modifyDateTime = modifyDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }
}